Skip to main content
PATCH /processors/:id Update a processor’s name, description, default workflow, or active status. Only include the fields you want to change.

Path Parameters

ParameterTypeDescription
idstring (uuid)Processor ID

Request Body

FieldTypeRequiredDescription
namestringNoUpdated processor name
descriptionstringNoUpdated description
default_workflow_idstring (uuid)NoNew fallback workflow
is_activebooleanNoEnable or disable the processor

Example

curl -X PATCH https://api.getnexor.ai/api/public/processors/abc-123-uuid \
  -H "Content-Type: application/json" \
  -H "X-API-Key: nxr_live_your_api_key" \
  -d '{
    "name": "Language Router v2",
    "default_workflow_id": "uuid-of-new-default-workflow"
  }'

Responses

200 — Processor updated

{
  "success": true,
  "processor": {
    "id": "abc-123-uuid",
    "name": "Language Router v2",
    "description": "Routes leads to ES or EN workflows based on metadata.language",
    "default_workflow_id": "uuid-of-new-default-workflow",
    "is_active": true,
    "created_at": "2026-03-31T12:00:00Z",
    "updated_at": "2026-03-31T14:00:00Z"
  }
}

400 — Validation error

{
  "error": "Validation error",
  "message": "default_workflow_id not found or does not belong to your account"
}

401 — Authentication error

See Authentication.

404 — Not found

{
  "error": "Not found",
  "message": "Processor not found or does not belong to your account"
}

500 — Internal server error

Last modified on June 18, 2026